import { Component, OnInit } from '@angular/core';
import {Subscription} from 'rxjs';
import {AlertMessage, AlertService} from './alert.service' ;
import {verticleSlide} from "../../animations";

@Component({
  selector: 'app-alert',
  templateUrl: './alert.component.html',
  styleUrls: ['./alert.component.scss'],
  animations: [verticleSlide]
})
export class AlertComponent implements OnInit {

  private subscription: Subscription | undefined;
  public message: AlertMessage | null | undefined;

  constructor(private alertService: AlertService) {
  }

  ngOnInit() {
    this.subscription = this.alertService.getMessage().subscribe((message: AlertMessage) => {
      this.message = message;
      setTimeout(() => {
        this.clearMessage();
      }, 10000); // 10 seconds
    })
  }

  clearMessage(): void {
    this.message = null;
  }

  ngOnDestroy(): void {
    if (this.subscription) {
      this.subscription.unsubscribe();
    }
  }

}
